<?php

namespace BitCommunism\Http;

use BitCommunism\Marx\Instance;
use function DI\add;
use function DI\get;
use function DI\object;

return [
    'marx.calls' => add([
        'http' => function(Server $server) {
            return $server;
        }
    ]),

    'marx.loaders' => add([
        function(Server $server) {
            $server->buildRoutes();
        }
    ]),

    Server::class => object()->constructorParameter('routes', get('routes')),
];